Consume the quiz shown in the player
Returns the quiz for an embedded video when it is shown in the player. Authorized by the same playback authorization as video playback — private videos require a valid playback token. Returns 404 when no quiz is shown for the video.
Returns the quiz for an embedded video when it is shown in the player. Authorized by the same playback authorization as video playback — private videos require a valid playback token. Returns 404 when no quiz is shown for the video.
Path Parameters
embedId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.moviie.ai/v1/embeds/string/quiz"{
"videoId": "3524e86f-1bba-489a-bf6b-386ea1abbac0",
"language": "string",
"shuffleChoices": true,
"questions": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"position": 0,
"prompt": "string",
"explanation": "string",
"choices": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"position": 0,
"text": "string",
"isCorrect": true
}
]
}
]
}{
"error": "Resource not found",
"code": "NOT_FOUND"
}{
"error": "Resource not found",
"code": "NOT_FOUND"
}{
"error": "Resource not found",
"code": "NOT_FOUND"
}{
"error": "Resource not found",
"code": "NOT_FOUND"
}